#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file '/root/MyProjects/ktag/src/configpatterns.ui'
**
** Created: lun avr 26 17:44:06 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.2.3   edited May 19 14:22 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "configpatterns.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <kactivelabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "/root/MyProjects/ktag/src/configpatterns.ui.h"

/*
 *  Constructs a patternConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
patternConfig::patternConfig( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "patternConfig" );
    patternConfigLayout = new QGridLayout( this, 1, 1, 0, 0, "patternConfigLayout"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    patternList = new KListView( groupBox1, "patternList" );
    patternList->addColumn( tr2i18n( "Patterns" ) );
    patternList->setFullWidth( TRUE );
    patternList->setItemsRenameable( TRUE );

    groupBox1Layout->addWidget( patternList, 0, 0 );

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    layout1 = new QVBoxLayout( 0, 0, 6, "layout1"); 

    addButton = new KPushButton( groupBox1, "addButton" );
    layout1->addWidget( addButton );

    remButton = new KPushButton( groupBox1, "remButton" );
    remButton->setEnabled( FALSE );
    layout1->addWidget( remButton );
    layout4->addLayout( layout1 );

    kActiveLabel1 = new KActiveLabel( groupBox1, "kActiveLabel1" );
    kActiveLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)7, 0, 0, kActiveLabel1->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( kActiveLabel1 );

    groupBox1Layout->addLayout( layout4, 0, 1 );

    patternConfigLayout->addWidget( groupBox1, 0, 0 );
    languageChange();
    resize( QSize(638, 481).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( addButton, SIGNAL( clicked() ), this, SLOT( addPattern() ) );
    connect( remButton, SIGNAL( clicked() ), this, SLOT( removePattern() ) );
    connect( patternList, SIGNAL( clicked(QListViewItem*) ), this, SLOT( enableRemove(QListViewItem*) ) );
    connect( patternList, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( enableRemove(QListViewItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
patternConfig::~patternConfig()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void patternConfig::languageChange()
{
    setCaption( tr2i18n( "Patterns Configuration" ) );
    groupBox1->setTitle( tr2i18n( "Cover download patterns" ) );
    patternList->header()->setLabel( 0, tr2i18n( "Patterns" ) );
    addButton->setText( tr2i18n( "Add Pattern" ) );
    remButton->setText( tr2i18n( "Remove Pattern" ) );
    kActiveLabel1->setText( tr2i18n( "<b>%l</b> = artist name first letter<br>\n"
"<b>%L</b> = artist name first letter (upper)<br>\n"
"<b>%artist</b> = artist name<br>\n"
"<b>%Artist</b> = artist name with first letter upper<br>\n"
"<b>%album</b> = album name<br>\n"
"<b>%Album</b> = album name with first letter upper<br>" ) );
}

#include "configpatterns.moc"
